using System;

internal sealed class Delegate644 : MulticastDelegate
{
	public extern DateTime Invoke(DateTime dateTime_0, TimeSpan timeSpan_0);

	public static DateTime smethod_0(DateTime dateTime_0, TimeSpan timeSpan_0, Delegate644 delegate644_1)
	{
		return delegate644_1(dateTime_0, timeSpan_0);
	}

	public extern Delegate644(object object_0, IntPtr intptr_0);

	static Delegate644()
	{
		Class10.smethod_13(typeof(Delegate644).TypeHandle);
	}

	internal static Delegate644 delegate644_0;
}
